<?php

abstract class OpenAPIAbstraction extends System{
    
    /**
     *
     * @var ParamHolder
     */
    private $holder;
    
    public function __construct(){
        parent::__construct();
    }
    
    abstract function showResults();
    
    public function setHolder(ParamHolder $holder) : void {
        $this -> holder = $holder;
    }
    
    public function getHolder() : ParamHolder {
        return $this -> holder;
    }
}